Bug 131157 - Hang: Dragging and dropping object from navigator (gtk3)
Summary: Hang: Dragging and dropping object from navigator (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2020-03-05 13:44 UTC by Xisco Faulí
Modified: 2020-03-10 09:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
how it looks for me (241.80 KB, video/webm)
2020-03-05 15:29 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-03-05 13:44:12 UTC
Steps to reproduce:
1. Open attachment 151700 [details] from bug 125520
2. Open the navigator
3. Select OLE object 1 and drag and drop it to the document

-> Calc hangs


Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-03-05 13:45:37 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5325ce6a3c791bd4a5ee6e71f95a403562ca811c

author	Caolán McNamara <caolanm@redhat.com>	2020-02-26 12:17:45 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-02-28 16:16:24 +0100
commit	5325ce6a3c791bd4a5ee6e71f95a403562ca811c (patch)
tree	6ba582c0887875ceb039b617d1b9344801b2c69c
parent	6a3e04abd653cb86550b911b62ca54e2942f957a (diff)
weld calc navigator

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2020-03-05 15:29:57 UTC
Created attachment 158414 [details]
how it looks for me

under wayland it looks ok, I do some some oddities under X which is probably the problem you've having though.
Comment 3 Xisco Faulí 2020-03-05 15:40:12 UTC
yes, it's under X
Comment 4 Commit Notification 2020-03-06 08:55:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e76c9c02a9991a4a89f43975607f58b36b4d663

tdf#131157 problems dragging and dropping from calc navigator

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-03-06 08:55:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f0cd0c7618f4463ad556ee0207ade62b6b2df962

Related: tdf#131157 inherit ScDrawTransferObj from TransferDataContainer

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-03-06 09:15:55 UTC
that seems to resolve it
Comment 7 Xisco Faulí 2020-03-10 09:10:44 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: a11c10a83f6fceae6cfb519725d06f8eaf1013fb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!